import { get, post, url} from '../index'

class Course {
  // 获取 课程列表
  @url("/course/manage/list")
  @get
  getCourseList() {}
  
  // 添加 课程
  @url("/course/manage/add")
  @post
  createCourse() {}
  
  // 用户保存选定课程
  @url("/course/manage/cache-course")
  @get
  setCacheCourse() {}
  
  // 获取用户缓存课程
  @url("/course/manage/get-cache-course")
  @get
  getCacheCourse() {}
  
  // 删除课程
  @url("/course/manage/delete")
  @get
  deleteCourse() {}
  
  // 用户课程重命名
  @url("/course/manage/update-name")
  @post
  updateCourse() {}
  
  // 课程归档
  @url("/course/manage/hide")
  @get
  hideCourse() {}
  
  // 恢复归档课程
  @url("/course/manage/recover")
  @get
  recoverCourse() {}
  
}

export default new Course()
