import { get, post, url} from '../index'

class Prepare {
  
  // 添加 备课夹
  @url("/prepare/manage/add")
  @post
  createPrepare() {}
  
  // 删除 备课夹
  @url("/prepare/manage/delete")
  @get
  deletePrepare() {}
  
  // 修改 备课夹
  @url("/prepare/manage/update")
  @post
  editPrepare() {}
  
  // 获取 备课夹 列表
  @url("/prepare/manage/list")
  @get
  getPrepareList() {}
  
  // 获取 引用备课夹 列表
  @url("/prepare/manage/list-quote")
  @get
  getShareList() {}
  
  // 引用 共享备课夹
  @url("/prepare/share/copy")
  @post
  quoteSharePrepare() {}
  
  // 共享 备课夹
  @url("/prepare/share/add")
  @post
  sharePrepare() {}
  
  
  // 备课夹顺序调整
  @url("/prepare/manage/order-update")
  @post
  orderPrepare() {}
  
  // 获取 备课夹 内容 列表
  @url("/prepare/content/list")
  @get
  getPrepareContent() {}
  
  // 添加备课夹内容
  @url("/prepare/content/add")
  @post
  addPrepareContent() {}
  
  // 备课夹内容顺序调整
  @url("/prepare/content/order-update")
  @post
  orderPrepareContent() {}
  
  // 移除备课夹内容
  @url("/prepare/content/delete")
  @get
  deletePrepareContent() {}
  
}

export default new Prepare()
